<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li >AppModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 5.0.0 (20220707.1540)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="4378pt" height="247pt"
 viewBox="0.00 0.00 4378.00 246.80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 242.8)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-242.8 4374,-242.8 4374,4 -4,4"/>
<text text-anchor="middle" x="2185" y="-8.2" font-family="sans-serif" font-size="14.00">dependencies</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-32.8 8,-230.8 4362,-230.8 4362,-32.8 8,-32.8"/>
</g>
<g id="clust28" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="4030,-40.8 4030,-92.8 4354,-92.8 4354,-40.8 4030,-40.8"/>
</g>
<g id="clust30" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="2175,-170.8 2175,-222.8 2299,-222.8 2299,-170.8 2175,-170.8"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="16,-40.8 16,-92.8 4022,-92.8 4022,-40.8 16,-40.8"/>
</g>
<!-- AddProjectComponent -->
<g id="node1" class="node">
<title>AddProjectComponent</title>
<polygon fill="#ffffb3" stroke="black" points="4013.6,-84.8 3868.4,-84.8 3868.4,-48.8 4013.6,-48.8 4013.6,-84.8"/>
<text text-anchor="middle" x="3941" y="-62.6" font-family="Times,serif" font-size="14.00">AddProjectComponent</text>
</g>
<!-- AppModule -->
<g id="node26" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="2278.66,-149.8 2275.66,-153.8 2254.66,-153.8 2251.66,-149.8 2195.34,-149.8 2195.34,-113.8 2278.66,-113.8 2278.66,-149.8"/>
<text text-anchor="middle" x="2237" y="-127.6" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AddProjectComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AddProjectComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3941,-84.81C3941,-107.29 3941,-142.8 3941,-142.8 3941,-142.8 2288.7,-142.8 2288.7,-142.8"/>
<polygon fill="black" stroke="black" points="2288.7,-139.3 2278.7,-142.8 2288.7,-146.3 2288.7,-139.3"/>
</g>
<!-- AppComponent -->
<g id="node2" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3850.94,-84.8 3745.06,-84.8 3745.06,-48.8 3850.94,-48.8 3850.94,-84.8"/>
<text text-anchor="middle" x="3798" y="-62.6" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3798,-84.84C3798,-106.46 3798,-139.8 3798,-139.8 3798,-139.8 2288.75,-139.8 2288.75,-139.8"/>
<polygon fill="black" stroke="black" points="2288.75,-136.3 2278.75,-139.8 2288.75,-143.3 2288.75,-136.3"/>
</g>
<!-- CAbschlussComponent -->
<g id="node3" class="node">
<title>CAbschlussComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3727.23,-84.8 3578.77,-84.8 3578.77,-48.8 3727.23,-48.8 3727.23,-84.8"/>
<text text-anchor="middle" x="3653" y="-62.6" font-family="Times,serif" font-size="14.00">CAbschlussComponent</text>
</g>
<!-- CAbschlussComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>CAbschlussComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3653,-85.08C3653,-106.12 3653,-137.8 3653,-137.8 3653,-137.8 2288.99,-137.8 2288.99,-137.8"/>
<polygon fill="black" stroke="black" points="2288.99,-134.3 2278.99,-137.8 2288.99,-141.3 2288.99,-134.3"/>
</g>
<!-- CAccountComponent -->
<g id="node4" class="node">
<title>CAccountComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3561.1,-84.8 3422.9,-84.8 3422.9,-48.8 3561.1,-48.8 3561.1,-84.8"/>
<text text-anchor="middle" x="3492" y="-62.6" font-family="Times,serif" font-size="14.00">CAccountComponent</text>
</g>
<!-- CAccountComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>CAccountComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3492,-85.02C3492,-105.17 3492,-134.8 3492,-134.8 3492,-134.8 2288.76,-134.8 2288.76,-134.8"/>
<polygon fill="black" stroke="black" points="2288.76,-131.3 2278.76,-134.8 2288.76,-138.3 2288.76,-131.3"/>
</g>
<!-- CAnalyseComponent -->
<g id="node5" class="node">
<title>CAnalyseComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3405.05,-84.8 3268.95,-84.8 3268.95,-48.8 3405.05,-48.8 3405.05,-84.8"/>
<text text-anchor="middle" x="3337" y="-62.6" font-family="Times,serif" font-size="14.00">CAnalyseComponent</text>
</g>
<!-- CAnalyseComponent&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>CAnalyseComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3337,-84.91C3337,-104.14 3337,-131.8 3337,-131.8 3337,-131.8 2288.78,-131.8 2288.78,-131.8"/>
<polygon fill="black" stroke="black" points="2288.78,-128.3 2278.78,-131.8 2288.78,-135.3 2288.78,-128.3"/>
</g>
<!-- CArchivierungComponent -->
<g id="node6" class="node">
<title>CArchivierungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3250.81,-84.8 3085.19,-84.8 3085.19,-48.8 3250.81,-48.8 3250.81,-84.8"/>
<text text-anchor="middle" x="3168" y="-62.6" font-family="Times,serif" font-size="14.00">CArchivierungComponent</text>
</g>
<!-- CArchivierungComponent&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>CArchivierungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3168,-85.02C3168,-103.63 3168,-129.8 3168,-129.8 3168,-129.8 2288.81,-129.8 2288.81,-129.8"/>
<polygon fill="black" stroke="black" points="2288.81,-126.3 2278.81,-129.8 2288.81,-133.3 2288.81,-126.3"/>
</g>
<!-- CBarComponent -->
<g id="node7" class="node">
<title>CBarComponent</title>
<polygon fill="#ffffb3" stroke="black" points="3067.38,-84.8 2956.62,-84.8 2956.62,-48.8 3067.38,-48.8 3067.38,-84.8"/>
<text text-anchor="middle" x="3012" y="-62.6" font-family="Times,serif" font-size="14.00">CBarComponent</text>
</g>
<!-- CBarComponent&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>CBarComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M3012,-84.8C3012,-102.48 3012,-126.8 3012,-126.8 3012,-126.8 2288.67,-126.8 2288.67,-126.8"/>
<polygon fill="black" stroke="black" points="2288.67,-123.3 2278.67,-126.8 2288.67,-130.3 2288.67,-123.3"/>
</g>
<!-- CDurchfuehrungComponent -->
<g id="node8" class="node">
<title>CDurchfuehrungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2938.19,-84.8 2761.81,-84.8 2761.81,-48.8 2938.19,-48.8 2938.19,-84.8"/>
<text text-anchor="middle" x="2850" y="-62.6" font-family="Times,serif" font-size="14.00">CDurchfuehrungComponent</text>
</g>
<!-- CDurchfuehrungComponent&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>CDurchfuehrungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2850,-84.83C2850,-101.86 2850,-124.8 2850,-124.8 2850,-124.8 2289.13,-124.8 2289.13,-124.8"/>
<polygon fill="black" stroke="black" points="2289.13,-121.3 2279.13,-124.8 2289.13,-128.3 2289.13,-121.3"/>
</g>
<!-- CErhebungComponent -->
<g id="node9" class="node">
<title>CErhebungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2743.6,-84.8 2598.4,-84.8 2598.4,-48.8 2743.6,-48.8 2743.6,-84.8"/>
<text text-anchor="middle" x="2671" y="-62.6" font-family="Times,serif" font-size="14.00">CErhebungComponent</text>
</g>
<!-- CErhebungComponent&#45;&gt;AppModule -->
<g id="edge9" class="edge">
<title>CErhebungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2671,-84.81C2671,-100.85 2671,-121.8 2671,-121.8 2671,-121.8 2289.01,-121.8 2289.01,-121.8"/>
<polygon fill="black" stroke="black" points="2289.01,-118.3 2279.01,-121.8 2289.01,-125.3 2289.01,-118.3"/>
</g>
<!-- CExitComponent -->
<g id="node10" class="node">
<title>CExitComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2580,-84.8 2466,-84.8 2466,-48.8 2580,-48.8 2580,-84.8"/>
<text text-anchor="middle" x="2523" y="-62.6" font-family="Times,serif" font-size="14.00">CExitComponent</text>
</g>
<!-- CExitComponent&#45;&gt;AppModule -->
<g id="edge10" class="edge">
<title>CExitComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2523,-85.04C2523,-100.37 2523,-119.8 2523,-119.8 2523,-119.8 2288.89,-119.8 2288.89,-119.8"/>
<polygon fill="black" stroke="black" points="2288.89,-116.3 2278.89,-119.8 2288.89,-123.3 2288.89,-116.3"/>
</g>
<!-- CHomeComponent -->
<g id="node11" class="node">
<title>CHomeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2448.38,-84.8 2323.62,-84.8 2323.62,-48.8 2448.38,-48.8 2448.38,-84.8"/>
<text text-anchor="middle" x="2386" y="-62.6" font-family="Times,serif" font-size="14.00">CHomeComponent</text>
</g>
<!-- CHomeComponent&#45;&gt;AppModule -->
<g id="edge11" class="edge">
<title>CHomeComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2386,-84.85C2386,-99.17 2386,-116.8 2386,-116.8 2386,-116.8 2288.9,-116.8 2288.9,-116.8"/>
<polygon fill="black" stroke="black" points="2288.9,-113.3 2278.9,-116.8 2288.9,-120.3 2288.9,-113.3"/>
</g>
<!-- CLandingComponent -->
<g id="node12" class="node">
<title>CLandingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2305.82,-84.8 2168.18,-84.8 2168.18,-48.8 2305.82,-48.8 2305.82,-84.8"/>
<text text-anchor="middle" x="2237" y="-62.6" font-family="Times,serif" font-size="14.00">CLandingComponent</text>
</g>
<!-- CLandingComponent&#45;&gt;AppModule -->
<g id="edge12" class="edge">
<title>CLandingComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2237,-84.91C2237,-84.91 2237,-103.79 2237,-103.79"/>
<polygon fill="black" stroke="black" points="2233.5,-103.79 2237,-113.79 2240.5,-103.79 2233.5,-103.79"/>
</g>
<!-- CLanguageComponent -->
<g id="node13" class="node">
<title>CLanguageComponent</title>
<polygon fill="#ffffb3" stroke="black" points="2149.86,-84.8 2004.14,-84.8 2004.14,-48.8 2149.86,-48.8 2149.86,-84.8"/>
<text text-anchor="middle" x="2077" y="-62.6" font-family="Times,serif" font-size="14.00">CLanguageComponent</text>
</g>
<!-- CLanguageComponent&#45;&gt;AppModule -->
<g id="edge13" class="edge">
<title>CLanguageComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M2077,-84.85C2077,-99.17 2077,-116.8 2077,-116.8 2077,-116.8 2184.96,-116.8 2184.96,-116.8"/>
<polygon fill="black" stroke="black" points="2184.96,-120.3 2194.96,-116.8 2184.96,-113.3 2184.96,-120.3"/>
</g>
<!-- CNachzutzungComponent -->
<g id="node14" class="node">
<title>CNachzutzungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1986.03,-84.8 1821.97,-84.8 1821.97,-48.8 1986.03,-48.8 1986.03,-84.8"/>
<text text-anchor="middle" x="1904" y="-62.6" font-family="Times,serif" font-size="14.00">CNachzutzungComponent</text>
</g>
<!-- CNachzutzungComponent&#45;&gt;AppModule -->
<g id="edge14" class="edge">
<title>CNachzutzungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1904,-85.04C1904,-100.37 1904,-119.8 1904,-119.8 1904,-119.8 2185.16,-119.8 2185.16,-119.8"/>
<polygon fill="black" stroke="black" points="2185.16,-123.3 2195.16,-119.8 2185.16,-116.3 2185.16,-123.3"/>
</g>
<!-- CPlanungComponent -->
<g id="node15" class="node">
<title>CPlanungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1803.06,-84.8 1666.94,-84.8 1666.94,-48.8 1803.06,-48.8 1803.06,-84.8"/>
<text text-anchor="middle" x="1735" y="-62.6" font-family="Times,serif" font-size="14.00">CPlanungComponent</text>
</g>
<!-- CPlanungComponent&#45;&gt;AppModule -->
<g id="edge15" class="edge">
<title>CPlanungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1735,-84.81C1735,-100.85 1735,-121.8 1735,-121.8 1735,-121.8 2185.06,-121.8 2185.06,-121.8"/>
<polygon fill="black" stroke="black" points="2185.06,-125.3 2195.06,-121.8 2185.06,-118.3 2185.06,-125.3"/>
</g>
<!-- CVorbereitungComponent -->
<g id="node16" class="node">
<title>CVorbereitungComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1648.81,-84.8 1483.19,-84.8 1483.19,-48.8 1648.81,-48.8 1648.81,-84.8"/>
<text text-anchor="middle" x="1566" y="-62.6" font-family="Times,serif" font-size="14.00">CVorbereitungComponent</text>
</g>
<!-- CVorbereitungComponent&#45;&gt;AppModule -->
<g id="edge16" class="edge">
<title>CVorbereitungComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1566,-84.83C1566,-101.86 1566,-124.8 1566,-124.8 1566,-124.8 2185.28,-124.8 2185.28,-124.8"/>
<polygon fill="black" stroke="black" points="2185.28,-128.3 2195.28,-124.8 2185.28,-121.3 2185.28,-128.3"/>
</g>
<!-- CZugangComponent -->
<g id="node17" class="node">
<title>CZugangComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1465.94,-84.8 1332.06,-84.8 1332.06,-48.8 1465.94,-48.8 1465.94,-84.8"/>
<text text-anchor="middle" x="1399" y="-62.6" font-family="Times,serif" font-size="14.00">CZugangComponent</text>
</g>
<!-- CZugangComponent&#45;&gt;AppModule -->
<g id="edge17" class="edge">
<title>CZugangComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1399,-84.8C1399,-102.48 1399,-126.8 1399,-126.8 1399,-126.8 2185.16,-126.8 2185.16,-126.8"/>
<polygon fill="black" stroke="black" points="2185.16,-130.3 2195.16,-126.8 2185.16,-123.3 2185.16,-130.3"/>
</g>
<!-- LandingComponent -->
<g id="node18" class="node">
<title>LandingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1313.99,-84.8 1186.01,-84.8 1186.01,-48.8 1313.99,-48.8 1313.99,-84.8"/>
<text text-anchor="middle" x="1250" y="-62.6" font-family="Times,serif" font-size="14.00">LandingComponent</text>
</g>
<!-- LandingComponent&#45;&gt;AppModule -->
<g id="edge18" class="edge">
<title>LandingComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1250,-85.02C1250,-103.63 1250,-129.8 1250,-129.8 1250,-129.8 2185.22,-129.8 2185.22,-129.8"/>
<polygon fill="black" stroke="black" points="2185.22,-133.3 2195.22,-129.8 2185.22,-126.3 2185.22,-133.3"/>
</g>
<!-- MHeaderComponent -->
<g id="node19" class="node">
<title>MHeaderComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1168.19,-84.8 1033.81,-84.8 1033.81,-48.8 1168.19,-48.8 1168.19,-84.8"/>
<text text-anchor="middle" x="1101" y="-62.6" font-family="Times,serif" font-size="14.00">MHeaderComponent</text>
</g>
<!-- MHeaderComponent&#45;&gt;AppModule -->
<g id="edge19" class="edge">
<title>MHeaderComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M1101,-84.91C1101,-104.14 1101,-131.8 1101,-131.8 1101,-131.8 2185.22,-131.8 2185.22,-131.8"/>
<polygon fill="black" stroke="black" points="2185.22,-135.3 2195.22,-131.8 2185.22,-128.3 2185.22,-135.3"/>
</g>
<!-- MainComponent -->
<g id="node20" class="node">
<title>MainComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1015.38,-84.8 904.62,-84.8 904.62,-48.8 1015.38,-48.8 1015.38,-84.8"/>
<text text-anchor="middle" x="960" y="-62.6" font-family="Times,serif" font-size="14.00">MainComponent</text>
</g>
<!-- MainComponent&#45;&gt;AppModule -->
<g id="edge20" class="edge">
<title>MainComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M960,-85.02C960,-105.17 960,-134.8 960,-134.8 960,-134.8 2185.24,-134.8 2185.24,-134.8"/>
<polygon fill="black" stroke="black" points="2185.24,-138.3 2195.24,-134.8 2185.24,-131.3 2185.24,-138.3"/>
</g>
<!-- MessagesComponent -->
<g id="node21" class="node">
<title>MessagesComponent</title>
<polygon fill="#ffffb3" stroke="black" points="886.77,-84.8 751.23,-84.8 751.23,-48.8 886.77,-48.8 886.77,-84.8"/>
<text text-anchor="middle" x="819" y="-62.6" font-family="Times,serif" font-size="14.00">MessagesComponent</text>
</g>
<!-- MessagesComponent&#45;&gt;AppModule -->
<g id="edge21" class="edge">
<title>MessagesComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M819,-85.08C819,-106.12 819,-137.8 819,-137.8 819,-137.8 2185.33,-137.8 2185.33,-137.8"/>
<polygon fill="black" stroke="black" points="2185.33,-141.3 2195.33,-137.8 2185.33,-134.3 2185.33,-141.3"/>
</g>
<!-- MyProjectComponent -->
<g id="node22" class="node">
<title>MyProjectComponent</title>
<polygon fill="#ffffb3" stroke="black" points="733.44,-84.8 592.56,-84.8 592.56,-48.8 733.44,-48.8 733.44,-84.8"/>
<text text-anchor="middle" x="663" y="-62.6" font-family="Times,serif" font-size="14.00">MyProjectComponent</text>
</g>
<!-- MyProjectComponent&#45;&gt;AppModule -->
<g id="edge22" class="edge">
<title>MyProjectComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M663,-84.84C663,-106.46 663,-139.8 663,-139.8 663,-139.8 2185.3,-139.8 2185.3,-139.8"/>
<polygon fill="black" stroke="black" points="2185.3,-143.3 2195.3,-139.8 2185.3,-136.3 2185.3,-143.3"/>
</g>
<!-- ProjectDetailsComponent -->
<g id="node23" class="node">
<title>ProjectDetailsComponent</title>
<polygon fill="#ffffb3" stroke="black" points="574.14,-84.8 413.86,-84.8 413.86,-48.8 574.14,-48.8 574.14,-84.8"/>
<text text-anchor="middle" x="494" y="-62.6" font-family="Times,serif" font-size="14.00">ProjectDetailsComponent</text>
</g>
<!-- ProjectDetailsComponent&#45;&gt;AppModule -->
<g id="edge23" class="edge">
<title>ProjectDetailsComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M494,-84.81C494,-107.29 494,-142.8 494,-142.8 494,-142.8 2185.21,-142.8 2185.21,-142.8"/>
<polygon fill="black" stroke="black" points="2185.21,-146.3 2195.21,-142.8 2185.21,-139.3 2185.21,-146.3"/>
</g>
<!-- ProjectsListComponent -->
<g id="node24" class="node">
<title>ProjectsListComponent</title>
<polygon fill="#ffffb3" stroke="black" points="396.21,-84.8 247.79,-84.8 247.79,-48.8 396.21,-48.8 396.21,-84.8"/>
<text text-anchor="middle" x="322" y="-62.6" font-family="Times,serif" font-size="14.00">ProjectsListComponent</text>
</g>
<!-- ProjectsListComponent&#45;&gt;AppModule -->
<g id="edge24" class="edge">
<title>ProjectsListComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M322,-84.89C322,-107.93 322,-144.8 322,-144.8 322,-144.8 2185.22,-144.8 2185.22,-144.8"/>
<polygon fill="black" stroke="black" points="2185.22,-148.3 2195.22,-144.8 2185.22,-141.3 2185.22,-148.3"/>
</g>
<!-- ProjectsMaterialTableComponent -->
<g id="node25" class="node">
<title>ProjectsMaterialTableComponent</title>
<polygon fill="#ffffb3" stroke="black" points="229.72,-84.8 24.28,-84.8 24.28,-48.8 229.72,-48.8 229.72,-84.8"/>
<text text-anchor="middle" x="127" y="-62.6" font-family="Times,serif" font-size="14.00">ProjectsMaterialTableComponent</text>
</g>
<!-- ProjectsMaterialTableComponent&#45;&gt;AppModule -->
<g id="edge25" class="edge">
<title>ProjectsMaterialTableComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M127,-85.18C127,-109.08 127,-147.8 127,-147.8 127,-147.8 2185.33,-147.8 2185.33,-147.8"/>
<polygon fill="black" stroke="black" points="2185.33,-151.3 2195.33,-147.8 2185.33,-144.3 2185.33,-151.3"/>
</g>
<!-- AppComponent  -->
<g id="node29" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="2291.44,-214.8 2182.56,-214.8 2182.56,-178.8 2291.44,-178.8 2291.44,-214.8"/>
<text text-anchor="middle" x="2237" y="-192.6" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge28" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M2237,-149.91C2237,-149.91 2237,-168.79 2237,-168.79"/>
<polygon fill="black" stroke="black" points="2233.5,-168.79 2237,-178.79 2240.5,-168.79 2233.5,-168.79"/>
</g>
<!-- AppRoutingModule -->
<g id="node27" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="4346.28,-84.8 4343.28,-88.8 4322.28,-88.8 4319.28,-84.8 4217.72,-84.8 4217.72,-48.8 4346.28,-48.8 4346.28,-84.8"/>
<text text-anchor="middle" x="4282" y="-62.6" font-family="Times,serif" font-size="14.00">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge26" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M4282,-85.18C4282,-109.08 4282,-147.8 4282,-147.8 4282,-147.8 2288.78,-147.8 2288.78,-147.8"/>
<polygon fill="black" stroke="black" points="2288.78,-144.3 2278.78,-147.8 2288.78,-151.3 2288.78,-144.3"/>
</g>
<!-- PProjectOverviewModule -->
<g id="node28" class="node">
<title>PProjectOverviewModule</title>
<polygon fill="#8dd3c7" stroke="black" points="4200.19,-84.8 4197.19,-88.8 4176.19,-88.8 4173.19,-84.8 4037.81,-84.8 4037.81,-48.8 4200.19,-48.8 4200.19,-84.8"/>
<text text-anchor="middle" x="4119" y="-62.6" font-family="Times,serif" font-size="14.00">PProjectOverviewModule</text>
</g>
<!-- PProjectOverviewModule&#45;&gt;AppModule -->
<g id="edge27" class="edge">
<title>PProjectOverviewModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M4119,-84.89C4119,-107.93 4119,-144.8 4119,-144.8 4119,-144.8 2288.95,-144.8 2288.95,-144.8"/>
<polygon fill="black" stroke="black" points="2288.95,-141.3 2278.95,-144.8 2288.95,-148.3 2288.95,-141.3"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>projects/projects-app-ang/src/app/app.module.ts</code>
        </p>





        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AddProjectComponent.html">AddProjectComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CAbschlussComponent.html">CAbschlussComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CAccountComponent.html">CAccountComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CAnalyseComponent.html">CAnalyseComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CArchivierungComponent.html">CArchivierungComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CBarComponent.html">CBarComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CDurchfuehrungComponent.html">CDurchfuehrungComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CErhebungComponent.html">CErhebungComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CExitComponent.html">CExitComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CHomeComponent.html">CHomeComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CLandingComponent.html">CLandingComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CLanguageComponent.html">CLanguageComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CNachzutzungComponent.html">CNachzutzungComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CPlanungComponent.html">CPlanungComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CVorbereitungComponent.html">CVorbereitungComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CZugangComponent.html">CZugangComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LandingComponent.html">LandingComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MHeaderComponent.html">MHeaderComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MainComponent.html">MainComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MessagesComponent.html">MessagesComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MyProjectComponent.html">MyProjectComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ProjectDetailsComponent.html">ProjectDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ProjectsListComponent.html">ProjectsListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ProjectsMaterialTableComponent.html">ProjectsMaterialTableComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/AppRoutingModule.html">AppRoutingModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/PProjectOverviewModule.html">PProjectOverviewModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Bootstrap<a href="https://angular.io/api/core/NgModule#bootstrap" target="_blank"
                            title="Official documentation about module bootstrap"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { BrowserModule } from &#x27;@angular/platform-browser&#x27;;

import { AppRoutingModule } from &#x27;./app-routing.module&#x27;;
import { AppComponent } from &#x27;./app.component&#x27;;

import { FormsModule } from &#x27;@angular/forms&#x27;; /** Allows to implement forms to fill out by users */
import { HttpClient, HttpClientModule } from &#x27;@angular/common/http&#x27;; /** Allows communication via API to the Django backend */

import { TranslateLoader, TranslateModule } from &#x27;@ngx-translate/core&#x27;;
import { TranslateHttpLoader } from &#x27;@ngx-translate/http-loader&#x27;;

/** Import Components */
import { ProjectsListComponent } from &#x27;./components/projects-list/projects-list.component&#x27;;
import { ProjectDetailsComponent } from &#x27;./components/project-details/project-details.component&#x27;;
import { AddProjectComponent } from &#x27;./components/add-project/add-project.component&#x27;;
import { MessagesComponent } from &#x27;./messages/messages.component&#x27;;
import { MHeaderComponent } from &#x27;./components/main/m-header/m-header.component&#x27;;
import { CHomeComponent } from &#x27;./components/main/m-header/c-home/c-home.component&#x27;;
import { CBarComponent } from &#x27;./components/main/m-header/c-bar/c-bar.component&#x27;;
import { CLanguageComponent } from &#x27;./components/main/m-header/c-language/c-language.component&#x27;;
import { CAccountComponent } from &#x27;./components/main/m-header/c-account/c-account.component&#x27;;
import { CExitComponent } from &#x27;./components/main/m-header/c-exit/c-exit.component&#x27;;
import { MyProjectComponent } from &#x27;./components/my-project/my-project.component&#x27;;
import { CPlanungComponent } from &#x27;./components/my-project/c-planung/c-planung.component&#x27;;
import { CVorbereitungComponent } from &#x27;./components/my-project/c-vorbereitung/c-vorbereitung.component&#x27;;
import { CDurchfuehrungComponent } from &#x27;./components/my-project/c-durchfuehrung/c-durchfuehrung.component&#x27;;
import { CAbschlussComponent } from &#x27;./components/my-project/c-abschluss/c-abschluss.component&#x27;;
import { CErhebungComponent } from &#x27;./components/my-project/c-erhebung/c-erhebung.component&#x27;;
import { CZugangComponent } from &#x27;./components/my-project/c-zugang/c-zugang.component&#x27;;
import { CNachzutzungComponent } from &#x27;./components/my-project/c-nachzutzung/c-nachzutzung.component&#x27;;
import { CArchivierungComponent } from &#x27;./components/my-project/c-archivierung/c-archivierung.component&#x27;;
import { CAnalyseComponent } from &#x27;./components/my-project/c-analyse/c-analyse.component&#x27;;
import { MainComponent } from &#x27;./components/main/main.component&#x27;;
import { NgbModule } from &#x27;@ng-bootstrap/ng-bootstrap&#x27;;

/** Material Modules */
import { MatTableModule } from &#x27;@angular/material/table&#x27;;
import { MatInputModule} from &quot;@angular/material/input&quot;
import { MatPaginatorModule} from &quot;@angular/material/paginator&quot;
import { MatSortModule} from &quot;@angular/material/sort&quot;
import { MatProgressSpinnerModule} from &quot;@angular/material/progress-spinner&quot;
import { BrowserAnimationsModule} from &quot;@angular/platform-browser/animations&quot;;
import { ProjectsMaterialTableComponent } from &#x27;./components/projects-material-table/projects-material-table.component&#x27;

/** Import Modules */
import { PProjectOverviewModule } from &#x27;./p-project-overview/p-project-overview.module&#x27;;
import { NbFormFieldComponent, NbSidebarModule, NbThemeModule} from &#x27;@nebular/theme&#x27;;
import { NbThemeService, NbActionsModule, NbLayoutModule } from &#x27;@nebular/theme&#x27;;
import { NbEvaIconsModule } from &#x27;@nebular/eva-icons&#x27;;
import { Ng2SmartTableModule } from &#x27;ng2-smart-table&#x27;;
import { NbSidebarService } from &#x27;@nebular/theme&#x27;;
import { NbButtonModule,NbCardModule,NbIconModule,NbSelectModule,NbFormFieldModule,NbStepperModule,NbAccordionModule,NbInputModule,NbTreeGridModule } from &#x27;@nebular/theme&#x27;;

//Auth
import { NbPasswordAuthStrategy, NbAuthModule, NbOAuth2AuthStrategy, NbAuthJWTToken, NbLoginComponent } from &#x27;@nebular/auth&#x27;;


import {A11yModule} from &#x27;@angular/cdk/a11y&#x27;;
import { CLandingComponent } from &#x27;./components/main/m-header/c-landing/c-landing.component&#x27;;
import { LandingComponent } from &#x27;./components/landing/landing.component&#x27;;
import { NgxLoginComponent } from &#x27;./components/auth/login/login.component&#x27;;
//import { NbLoginComponent } from &#x27;./components/auth/login/login.component&#x27;;


// Factory function required during AOT compilation
export function httpTranslateLoaderFactory(http: HttpClient) {
  return new TranslateHttpLoader(http);
}

@NgModule({
  declarations: [
    AppComponent,
    ProjectsListComponent,
    ProjectDetailsComponent,
    AddProjectComponent,
    MessagesComponent,
    MHeaderComponent,
    CHomeComponent,
    CBarComponent,
    CLanguageComponent, 
    CAccountComponent,
    CExitComponent,
    MyProjectComponent,
    CPlanungComponent,
    CVorbereitungComponent,
    CDurchfuehrungComponent,
    CAbschlussComponent,
    CErhebungComponent,
    CZugangComponent,
    CNachzutzungComponent,
    CArchivierungComponent,
    CAnalyseComponent,
    MainComponent,
    ProjectsMaterialTableComponent,
    CLandingComponent,
    LandingComponent,
    //NbLoginComponent
    //NgxLoginComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    AppRoutingModule,
 
    PProjectOverviewModule,
    FormsModule, /** Add the forms module */
    HttpClientModule, /** Add the HttpClient module */
    NgbModule,

    /** Add Material modules */
    MatTableModule,
    MatInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatSortModule,
    MatProgressSpinnerModule,

    /** nebular modules */
    NbSidebarModule.forRoot(),
    NbThemeModule.forRoot({ name: &#x27;default&#x27; }),
    NbEvaIconsModule,
    NbActionsModule,
    NbLayoutModule,
    NbEvaIconsModule,
    NbInputModule,
    NbTreeGridModule,

    Ng2SmartTableModule,
    

    A11yModule,
    TranslateModule.forRoot({
      loader: {
        provide: TranslateLoader,
        useFactory: httpTranslateLoaderFactory,
        deps: [HttpClient]
      }
    }),
    
    NbButtonModule,
    NbCardModule,
    NbIconModule,
    NbSelectModule,
    NbFormFieldModule,
    NbStepperModule,
    NbAccordionModule,
    NbAuthModule.forRoot({
      strategies: [
        NbOAuth2AuthStrategy.setup({
        name: &#x27;oauth&#x27;,

        redirect: {
          success: &#x27;/welcome/&#x27;,
          failure: null as any, // stay on the same page
        },
        clientId: &#x27;&#x27;
      }),
        NbPasswordAuthStrategy.setup({
          name: &#x27;email&#x27;,

          token: {
            class: NbAuthJWTToken,
            key: &#x27;token&#x27;, // this parameter tells where to look for the token
          },

          baseEndpoint: &#x27;http://example.com/app-api/v1&#x27;,
            login: {
              redirect: {
                success: &#x27;/projects/&#x27;,
                failure: null, // stay on the same page
              },
              endpoint: &#x27;/auth/sign-in&#x27;,
              method: &#x27;post&#x27;,
            },
            register: {
              redirect: {
                success: &#x27;/landing/&#x27;,
                failure: null, // stay on the same page
              },
              endpoint: &#x27;/auth/sign-up&#x27;,
              method: &#x27;post&#x27;,
            },
            logout: {
              endpoint: &#x27;/auth/sign-out&#x27;,
              method: &#x27;post&#x27;,
            },
            requestPass: {
              endpoint: &#x27;/auth/request-pass&#x27;,
              method: &#x27;post&#x27;,
            },
            resetPass: {
              endpoint: &#x27;/auth/reset-pass&#x27;,
              method: &#x27;post&#x27;,
            },
        }),
      ],
      
      forms: {
        login: {
          redirectDelay: 0,
          showMessages: {
            success: true,
          },
        },
        register: {
          redirectDelay: 0,
          showMessages: {
            success: true,
          },
        },
        requestPassword: {
          redirectDelay: 0,
          showMessages: {
            success: true,
          },
        },
        resetPassword: {
          redirectDelay: 0,
          showMessages: {
            success: true,
          },
        },
        logout: {
          redirectDelay: 0,
        },
      },
    }),
  ],
  providers: [
    NbThemeService,
    NbSidebarService],
  bootstrap: [AppComponent]
})
export class AppModule { }
</code></pre>
    </div>
</div>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
